/*-----------------------------------------------------------------------*/
/*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
/*-----------------------------------------------------------------------*/
/*  Programmname: FCunit.cpp                                             */
/*                                                                       */
/*  Revision: V1.0     Date: 25.12.2012    Autor: Chr. Monstein          */
/*                                                                       */
/*  Purpose: Noise Figure Measurement of a CALLISTO                      */
/*                                                                       */
/*  Compiler: BORLAND C++Builder 6                                       */
/*-----------------------------------------------------------------------*/

// Created by: Chr. Monstein 25.12.2012
// Updated by: Chr. Monstein 25.12.2012
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FCunit.h"
#include "mainunit.h"
#include "RXRS232.h"
#include <stdio.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
extern TWrite *RX_SerialThread; // RX activities
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
   static int reg = 0;
   if (CheckBox1->Checked) reg = reg  |  1; else reg = reg  & ~1;
   if (CheckBox2->Checked) reg = reg  |  2; else reg = reg  & ~2;
   if (CheckBox3->Checked) reg = reg  |  4; else reg = reg  & ~4;
   if (CheckBox4->Checked) reg = reg  |  8; else reg = reg  & ~8;
   if (CheckBox5->Checked) reg = reg  | 16; else reg = reg  & ~16;
   if (CheckBox6->Checked) reg = reg  | 32; else reg = reg  & ~32;

   char st[40];
   sprintf(st,"fs%02i\r",reg);
   RX_SerialThread->Send(st);  // switch

}
//---------------------------------------------------------------------------
