/*-----------------------------------------------------------------------*/
/*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
/*-----------------------------------------------------------------------*/
/*  Programmname: digitizer.h                                            */
/*                                                                       */
/*  Revision: V1.0     Date: 26.12.2012    Autor: Chr. Monstein          */
/*                                                                       */
/*  Purpose: Noise Figure Measurement of a CALLISTO                      */
/*                                                                       */
/*  Compiler: BORLAND C++Builder 6                                       */
/*-----------------------------------------------------------------------*/

// Created by: Chr. Monstein 26.12.2012
// Updated by: Chr. Monstein 30.12.2012 new data save
//---------------------------------------------------------------------------

#ifndef DigitizerUnitH
#define DigitizerUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <jpeg.hpp>
//---------------------------------------------------------------------------
class TForm3 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TTimer *Timer1;
        TMemo *Memo1;
        TLabel *Label1;
        TEdit *Edit1;
        TLabel *Label2;
        TEdit *Edit2;
        TLabel *Label3;
        TEdit *Edit3;
        TLabel *Label4;
        TEdit *Edit4;
        TLabel *Label5;
        TProgressBar *ProgressBar1;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TImage *Image1;
        TCheckBox *CheckBox1;
        TButton *Button1;
        TTrackBar *TrackBar1;
        TCheckBox *CheckBox2;
        TLabel *Label6;
        TCheckBox *CheckBox3;
        TLabel *Label13;
        TButton *Button2;
        TButton *Button3;
        TButton *Button4;
        TButton *Button5;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
private:	// Anwender-Deklarationen
        void __fastcall MyClock(void);
public:		// Anwender-Deklarationen
        __fastcall TForm3(TComponent* Owner);
        void __fastcall Init(void);
        void __fastcall YT(void);
        void __fastcall LogData(float time, float voltage);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm3 *Form3;
//---------------------------------------------------------------------------
#endif
